# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "infoblox"
  s.version = "2.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Billy Reisinger"]
  s.date = "2017-03-08"
  s.description = "A Ruby wrapper to the Infoblox WAPI"
  s.email = ["billy.reisinger@govdelivery.com"]
  s.files = [".gitignore", ".rspec", ".ruby-version", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "RELEASES.md", "Rakefile", "infoblox.gemspec", "lib/infoblox.rb", "lib/infoblox/connection.rb", "lib/infoblox/resource.rb", "lib/infoblox/resource/aaaa_record.rb", "lib/infoblox/resource/arecord.rb", "lib/infoblox/resource/cname.rb", "lib/infoblox/resource/fixedaddress.rb", "lib/infoblox/resource/grid.rb", "lib/infoblox/resource/host.rb", "lib/infoblox/resource/host_ipv4addr.rb", "lib/infoblox/resource/ipv4address.rb", "lib/infoblox/resource/lease.rb", "lib/infoblox/resource/mx.rb", "lib/infoblox/resource/network.rb", "lib/infoblox/resource/network_container.rb", "lib/infoblox/resource/ptr.rb", "lib/infoblox/resource/range.rb", "lib/infoblox/resource/roaminghost.rb", "lib/infoblox/resource/search.rb", "lib/infoblox/resource/srv.rb", "lib/infoblox/resource/txt.rb", "lib/infoblox/resource/zone_auth.rb", "lib/infoblox/version.rb", "spec/connection_spec.rb", "spec/host_ipv4addr_spec.rb", "spec/host_spec.rb", "spec/integration/arecord_spec.rb", "spec/integration/cname_spec.rb", "spec/integration/host_ipv4addr_spec.rb", "spec/integration/host_spec.rb", "spec/integration/ptr_spec.rb", "spec/integration/zone_auth_spec.rb", "spec/range_spec.rb", "spec/resource_spec.rb", "spec/search_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/govdelivery/infoblox"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "This gem is a Ruby interface to the Infoblox WAPI. Using the gem, you can query, create, update, and delete DNS records in your Infoblox instance."
  s.test_files = ["spec/connection_spec.rb", "spec/host_ipv4addr_spec.rb", "spec/host_spec.rb", "spec/integration/arecord_spec.rb", "spec/integration/cname_spec.rb", "spec/integration/host_ipv4addr_spec.rb", "spec/integration/host_spec.rb", "spec/integration/ptr_spec.rb", "spec/integration/zone_auth_spec.rb", "spec/range_spec.rb", "spec/resource_spec.rb", "spec/search_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, [">= 0"])
      s.add_runtime_dependency(%q<faraday_middleware>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
    else
      s.add_dependency(%q<faraday>, [">= 0"])
      s.add_dependency(%q<faraday_middleware>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
    end
  else
    s.add_dependency(%q<faraday>, [">= 0"])
    s.add_dependency(%q<faraday_middleware>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
  end
end

